libdynalogin-1-0_1.0.0-3+b3_i386.deb


Advertisement

Description

libdynalogin-1-0 - two-factor HOTP/TOTP authentication - implementation libs

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename libdynalogin-1-0_1.0.0-3+b3_i386.deb
Package name libdynalogin-1-0
Package version 1.0.0
Package release 3+b3
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://www.dynalogin.org/
License -
Maintainer Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
Download size 13.91 KB
Installed size 64.00 KB
dynalogin is a two-factor authentication framework based on HOTP/TOTP
(Open Authentication) algorithms.  Dynalogin can store credentials in
any database supported by UNIXODBC, which makes the solution
robust and scalable.  It can also store credentials in flat files
if desired.  dynalogin has been successfully integrated in solutions
for OpenID, making it possible to use two-factor authentication with
hundreds of other web applications and public web sites.  There is a
dynalogin soft-token for Android and it also works with Google
Authenticator.
This library is used by a dynalogin authentication server or any other
software component that wants to implement the HOTP/TOTP algorithm
internally.  The package also includes various storage modules (file
storage and UNIXODBC) for retaining the user credentials and algorithm
data.

Alternatives

Package Version Architecture Repository
libdynalogin-1-0_1.0.0-3+b3_amd64.deb 1.0.0 amd64 Debian Main
libdynalogin-1-0 - - -

Requires

Name Value
libapr1 >= 1.2.7
libc6 >= 2.3.6-6~
libgnutls30 >= 3.5.0
liboath0 >= 1.10.0
libodbc1 >= 2.3.1
libpam0g >= 0.99.7.1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libdynalogin-1-0_1.0.0-3+b3_i386.deb
Source Package dynalogin

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdynalogin-1-0 deb package:
    # sudo apt-get install libdynalogin-1-0

Files

Path
/usr/lib/libdynalogin-1.so.1
/usr/lib/libdynalogin-1.so.1.0.0
/usr/lib/dynalogin/example_ds.so
/usr/lib/dynalogin/fs_ds.so
/usr/lib/dynalogin/odbc_ds.so
/usr/share/doc/libdynalogin-1-0/README.Debian
/usr/share/doc/libdynalogin-1-0/changelog.Debian.gz
/usr/share/doc/libdynalogin-1-0/changelog.Debian.i386.gz
/usr/share/doc/libdynalogin-1-0/copyright
/usr/share/doc/libdynalogin-1-0/odbc/README.mysql
/usr/share/doc/libdynalogin-1-0/odbc/odbc.ini-sample
/usr/share/doc/libdynalogin-1-0/odbc/odbcinst.ini-sample
/usr/share/doc/libdynalogin-1-0/odbc/schema_mysql.sql

Changelog

2013-05-07 - Daniel Pocock <daniel@pocock.com.au>
dynalogin (1.0.0-3) unstable; urgency=low
* Add missing build-dep libpam-dev (Closes: #707037)
2013-05-05 - Daniel Pocock <daniel@pocock.com.au>
dynalogin (1.0.0-2) unstable; urgency=low
* Update for unstable
2013-02-19 - Daniel Pocock <daniel@pocock.com.au>
dynalogin (1.0.0-1) experimental; urgency=low
* New upstream release
2013-02-06 - Daniel Pocock <daniel@pocock.com.au>
dynalogin (0.10.8-1) experimental; urgency=low
* New upstream release
2013-02-05 - Daniel Pocock <daniel@pocock.com.au>
dynalogin (0.10.6-1) experimental; urgency=low
* New upstream release
2013-02-05 - Daniel Pocock <daniel@pocock.com.au>
dynalogin (0.10.5-1) experimental; urgency=low
* New upstream release
* Make debian/compat consistent with debian/control debhelper version
* Tweak title and description text
* Update control file for migration from collab-maint to pkg-auth
2012-03-10 - Daniel Pocock <daniel@pocock.com.au>
dynalogin (0.9.14-1) unstable; urgency=low
* Initial packaging. (Closes: #665831).

See Also

Package Description
libdynaloginclient-1-0_1.0.0-3+b3_i386.deb two-factor HOTP/TOTP authentication - implementation libs
libdynamic-reconfigure-config-init-mutex-dev_1.5.46-1_i386.deb Robot OS dynamic-reconfigure library - development files
libdynamic-reconfigure-config-init-mutex0d_1.5.46-1_i386.deb Robot OS dynamic-reconfigure library
libdynamicedt3d-dev_1.8.1+dfsg-1_i386.deb dynamicEDT3D library development files
libdynamicedt3d1.8_1.8.1+dfsg-1_i386.deb Incrementally updatable Euclidean distance transform library
libdynamite-dev_0.1.1-2+b2_i386.deb PKWARE Data Compression decompressor library - development files
libdynamite0_0.1.1-2+b2_i386.deb PKWARE Data Compression decompressor library
libdynapath-clojure_0.2.5-1_all.deb Clojure protocol and util functions for class loaders
libe-book-0.1-1_0.1.2-4_i386.deb library for reading and converting various e-book formats
libe-book-dev_0.1.2-4_i386.deb library for reading and converting various e-book formats
libeasy-format-ocaml-dev_1.2.0-1_i386.deb easy(ier) pretty printing for OCaml - development files
libeasy-format-ocaml_1.2.0-1_i386.deb easy(ier) pretty printing for OCaml - plugins
libeasybind-java_1.0.3-1_all.deb helper library for custom JavaFX bindings using lamdas
libeasyconf-java-doc_0.9.5-5_all.deb library to access configuration of software components - Javadoc
libeasyconf-java_0.9.5-5_all.deb library to access configuration of software components
Advertisement
Advertisement